package com.huiju.estateagents.redpack.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 红包助力设置
 * </p>
 *
 * @author fxf
 * @since 2020-06-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaRedPacketHelp implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 活动ID
     */
    @TableId(value = "activity_id", type = IdType.UUID)
    private String activityId;

    /**
     * 助力成功人数
     */
    private Integer helpSuccesPersons;

    /**
     * 单人日助力次数
     */
    private Integer limitNumPerDay;

    /**
     * 单人总助力次数
     */
    private Integer limitNumPerPerson;

    /**
     * 为同一人助力次数
     */
    private Integer limitNumForEachPerson;

    /**
     * 助力成功时提示
     */
    private String successTip;

    /**
     * 无法助力时提示
     */
    private String warnningTip;

    /**
     * 超出单人日助力提示
     */
    private String limitPerDayIllegalTip;

    /**
     * 超出单人助力提示
     */
    private String limitPerPersonIllegalTip;

    /**
     * 超出同一人助力提示
     */
    private String limitForEachPersonIllegalTip;


    /**
     * 活动开始时间
     */
    @TableField(exist = false)
    private LocalDateTime startDate;

    /**
     * 活动结束时间
     */
    @TableField(exist = false)
    private LocalDateTime endDate;

    /**
     * 活动结束提示
     */
    @TableField(exist = false)
    private String activityEndTip;

}
